@ECHO OFF
cd BIOS
echo Checking ROM file .....
CKMODE XH110G00.103 XH110 4055
if errorlevel 1 goto end

:flash
AFUDOSA5.exe XH110G00.103 /p /b /n
if errorlevel 1 goto end

FPT.exe -f XH110G00.103 -me
if errorlevel 1 goto end

call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit